#                                                                -*-Automake-*-
# Copyright (C) 2010 by Thomas Moulard, CNRS.
# This file is part of roboptim.
#
# roboptim is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Additional permission under section 7 of the GNU General Public
# License, version 3 ("GPLv3"):
#
# If you convey this file as part of a work that contains a
# configuration script generated by Autoconf, you may do so under
# terms of your choice.
#
# roboptim is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with roboptim.  If not, see <http://www.gnu.org/licenses/>.

# ------ #
# README #
# ------ #
#
# This mk file contains omniORB IDL generation rules.
#
# To use this mk file, include init.mk and this file into
# your Makefile.am.
#
# WARNING: This file uses GNU Make extension!

IDL_PREFIX ?= idl
IDL_DIRECTORY ?= $(IDL_PREFIX)/$(PACKAGE_TARNAME)
IDL_SRC_STUB_SUFFIX ?= .stub.cc
IDL_HEADER_STUB_SUFFIX ?= .stub.hh
IDL_GUARD_PREFIX ?= "$(PACKAGE_TARNAME)_"

# idl rules.
SUFFIXES += $(IDL_SRC_STUB_SUFFIX) $(IDL_HEADER_STUB_SUFFIX)

OMNIIDLFLAGS =						\
		-I$(top_srcdir)/$(IDL_PREFIX)		\
		-I$(top_builddir)/$(IDL_PREFIX)		\
		-bcxx -Wbh="$(IDL_HEADER_STUB_SUFFIX)"	\
		-Wbs="$(IDL_SRC_STUB_SUFFIX)" 		\
		-Wbdll_includes -Wbkeep_inc_path	\
		-Wbguard_prefix="$(IDL_GUARD_PREFIX)"

%$(IDL_SRC_STUB_SUFFIX) %$(IDL_HEADER_STUB_SUFFIX):	\
		$(top_srcdir)/$(IDL_DIRECTORY)/%.idl	\
		$(top_builddir)/config.status
	$(OMNIIDL) $(OMNIIDLFLAGS) "$<"

%$(IDL_SRC_STUB_SUFFIX) %$(IDL_HEADER_STUB_SUFFIX):	\
		$(top_builddir)/$(IDL_DIRECTORY)/%.idl	\
		$(top_builddir)/config.status
	$(OMNIIDL) $(OMNIIDLFLAGS) "$<"
